National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2012-2122 Detail

Description

sql/password.c in Oracle MySQL 5.1.x before 5.1.63, 5.5.x before 5.5.24, and 5.6.x before 5.6.6, and MariaDB 5.1.x before 5.1.62, 5.2.x before 5.2.12, 5.3.x before 5.3.6, and 5.5.x before 5.5.23, when running in certain environments with certain implementations of the memcmp function, allows remote attackers to bypass authentication by repeatedly authenticating with the same incorrect password, which eventually causes a token comparison to succeed due to an improperly-checked return value.

Source:  MITRE      Last Modified:  06/26/2012

Quick Info

CVE Dictionary Entry:
CVE-2012-2122
Original release date:
06/26/2012
Last revised:
02/20/2014
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
5.1 MEDIUM
Vector:
(AV:N/AC:H/Au:N/C:P/I:P/A:P) (legend)
Impact Subscore:
6.4
Exploitability Subscore:
4.9
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
High
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized disclosure of information; Allows unauthorized modification; Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://bugs.mysql.com/bug.php?id=64884 Exploit External Source MISC http://bugs.mysql.com/bug.php?id=64884
http://kb.askmonty.org/en/mariadb-5162-release-notes/ External Source CONFIRM http://kb.askmonty.org/en/mariadb-5162-release-notes/
http://lists.opensuse.org/opensuse-security-announce/2012-08/msg00007.html External Source SUSE SUSE-SU-2012:0984
http://seclists.org/oss-sec/2012/q2/493 Patch External Source MLIST [oss-security] 20120609 Security vulnerability in MySQL/MariaDB sql/password.c
http://security.gentoo.org/glsa/glsa-201308-06.xml External Source GENTOO GLSA-201308-06
http://securitytracker.com/id?1027143 External Source SECTRACK 1027143
http://www.exploit-db.com/exploits/19092 External Source EXPLOIT-DB 19092
http://www.securityfocus.com/bid/53911 Exploit External Source BID 53911
https://community.rapid7.com/community/metasploit/blog/2012/06/11/cve-2012-2122-a-tragically-comedic-security-flaw-in-mysql Exploit External Source MISC https://community.rapid7.com/community/metasploit/blog/2012/06/11/cve-2012-2122-a-tragically-comedic-security-flaw-in-mysql

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:oracle:mysql:5.1.51:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.52:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.52:sp1:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.53:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.54:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.55:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.56:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.57:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.58:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.59:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.60:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.1.61:*:*:*:*:*:*:*
Configuration 2
OR
cpe:2.3:a:oracle:mysql:5.5.10:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.11:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.12:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.13:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.14:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.15:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.16:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.17:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.18:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.19:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.20:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.5.21:*:*:*:*:*:*:*
Configuration 3
OR
cpe:2.3:a:oracle:mysql:5.6.2:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.6.3:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.6.4:*:*:*:*:*:*:*
cpe:2.3:a:oracle:mysql:5.6.5:*:*:*:*:*:*:*
Configuration 4
OR
cpe:2.3:a:mariadb:mariadb:5.1.41:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.42:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.44:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.47:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.49:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.50:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.51:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.53:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.55:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.60:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.1.61:*:*:*:*:*:*:*
Configuration 5
OR
cpe:2.3:a:mariadb:mariadb:5.2.0:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.1:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.2:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.3:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.4:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.5:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.6:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.7:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.8:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.9:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.10:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.2.11:*:*:*:*:*:*:*
Configuration 6
OR
cpe:2.3:a:mariadb:mariadb:5.3.0:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.3.1:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.3.2:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.3.3:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.3.4:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.3.5:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.3.6:*:*:*:*:*:*:*
Configuration 7
OR
cpe:2.3:a:mariadb:mariadb:5.5.20:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.5.21:*:*:*:*:*:*:*
cpe:2.3:a:mariadb:mariadb:5.5.22:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 1 change record found - show changes